package agent

import (
	"net/http"

	"qnc-server/app/main/api/internal/logic/agent"
	"qnc-server/app/main/api/internal/svc"
	"qnc-server/common/result"
)

func GetAgentInfoHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := agent.NewGetAgentInfoLogic(r.Context(), svcCtx)
		resp, err := l.GetAgentInfo()
		result.HttpResult(r, w, resp, err)
	}
}
